/*
 * Copyright (C) International Business Machines  Corp., 2005
 * Author:     Michael Running Wolf <marunnin@us.ibm.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; under version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * XML-RPC xenstatd server h files,
 * This version is currently known to work with 1.03 of xmlrpc-c
 */

#ifndef _XENSTATD_H_
#define _XENSTATD_H_

#include <stdlib.h>
#include <stdio.h>

#include <xmlrpc.h>
#include <xmlrpc_server.h>
#include <xenstat.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <time.h>
#define STR_SIZE 32 



/* 
#ifdef XMLRPC_H_INCLUDED
    #include <xmlrpc-c/server_abyss.h>
#else
    #include <xmlrpc_abyss.h>
#endif
*/

#define STR_SIZE 32

xenstat_handle * handle;

xmlrpc_value * build_vcpu_struct(xmlrpc_env * env, xenstat_vcpu * vcpu,int  id);
xmlrpc_value * build_network_struct(xmlrpc_env * env, xenstat_network * network);

xmlrpc_value * build_domain_struct(xmlrpc_env * env, xenstat_domain * domain);

xmlrpc_value * build_machine_stat_struct(xmlrpc_env * env, xenstat_node * node);

xmlrpc_value * build_vcpu_array(xmlrpc_env * env, xenstat_domain * domain);
xmlrpc_value * build_network_array(xmlrpc_env * env, xenstat_domain * domain);
xmlrpc_value * build_domain_array(xmlrpc_env * env, xenstat_node * node);
<<<<<<< xenstatd.h
void test();
static xmlrpc_value * xenstat_gather(xmlrpc_env *   const env,
=======

xmlrpc_value * xenstat_gather(xmlrpc_env *   const env,
>>>>>>> 1.6
                                     xmlrpc_value * const param_array,
<<<<<<< xenstatd.h
	                             void *         const user_data __attribute__((__unused__)));
=======
	                             void *         const user_data __attribute__((__unused__)));
	/*
{



	xenstat_node * node;
	node = xenstat_get_node(handle, XENSTAT_ALL);
	printf ("got node!!!!\n");

    return xmlrpc_build_value(env, "i", 2);
}
*/


/*static xmlrpc_value * sample_add(xmlrpc_env *   const env,
                                     xmlrpc_value * const param_array,
	                             void *         const user_data __attribute__((__unused__)) ); 
				     */
/*
static xmlrpc_value *
sample_add(xmlrpc_env *   const env, 
		           xmlrpc_value * const param_array, 
	                             void *         const user_data __attribute__((__unused__)) )
{

}
*/
#endif
>>>>>>> 1.6
